import { RegSuitConfiguration } from "reg-suit-interface";
import { RegLogger } from "reg-suit-util";
export interface ConfigManagerCreateOptions {
    configFileName?: string;
    logger: RegLogger;
    noEmit: boolean;
}
export declare class ConfigManager {
    readonly defaultConfigFileName: string;
    private _configFileName?;
    private _logger;
    private _noEmit;
    constructor(opt: ConfigManagerCreateOptions);
    replaceEnvValue(): RegSuitConfiguration;
    readonly config: RegSuitConfiguration;
    readConfig(): {
        readUserConfig: boolean;
        config: RegSuitConfiguration;
    };
    writeConfig(config: RegSuitConfiguration): void;
    private _getConfigPath();
}
